DnsRecord Class Reference

`#include <pdns.h>`

## Public Attributes

DnsRecord * | pNext
char | pName [MAXDNAME]
WORD | wType
WORD | wDataLength
union {
DWORD DW
| flags as DWORD More...
DNS_RECORD_FLAGS S
| flags as structure More...
} | Flags
union {
DNS_A_DATA A
DNS_AAAA_DATA AAAA
DNS_MX_DATA MX
DNS_PTR_DATA NS
DNS_SRV_DATA SRV
DNS_NULL_DATA Null
} | Data

## Member Data Documentation

## A

DNS_A_DATA DnsRecord::A

## AAAA

DNS_AAAA_DATA DnsRecord::AAAA

## Data

union { ... } DnsRecord::Data

## DW

DWORD DnsRecord::DW

flags as DWORD

## Flags

union { ... } DnsRecord::Flags

## MX

DNS_MX_DATA DnsRecord::MX

## NS

DNS_PTR_DATA DnsRecord::NS

## Null

DNS_NULL_DATA DnsRecord::Null

## pName

char DnsRecord::pName[MAXDNAME]

## pNext

DnsRecord* DnsRecord::pNext

Referenced by PDNS::Lookup().

## S

DNS_RECORD_FLAGS DnsRecord::S

flags as structure

## SRV

DNS_SRV_DATA DnsRecord::SRV

## wDataLength

WORD DnsRecord::wDataLength

## wType

WORD DnsRecord::wType

The documentation for this class was generated from the following file:

- pdns.h